# Uses of Class
javafx.scene.control.skin.TableViewSkinBase

Packages that use TableViewSkinBase
Package
Description
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TableViewSkinBase in javafx.scene.control.skin

Subclasses of TableViewSkinBase in javafx.scene.control.skin
Modifier and Type
Class
Description
`class`
`TableViewSkin<T>`
Default skin implementation for the `TableView` control.
`class`
`TreeTableViewSkin<T>`
Default skin implementation for the `TreeTableView` control.
Methods in javafx.scene.control.skin that return TableViewSkinBase
Modifier and Type
Method
Description
`protected TableViewSkinBase<?,?,?,?,?>`
TableColumnHeader.`getTableSkin()`
Returns the `TableViewSkinBase` in which this `TableColumnHeader` is inserted.
Constructors in javafx.scene.control.skin with parameters of type TableViewSkinBase
Modifier
Constructor
Description
``
`TableHeaderRow(TableViewSkinBase skin)`
Creates a new TableHeaderRow instance to visually represent the column header area of controls such as `TableView` and `TreeTableView`.